function init(){
	function damier(n){
		
		var tab = document.createElement("table");
		if(n>0){
	
		
		var i,j;

	
		var ligne,cellule;

		for(i=0;i<=9;i++){
			ligne = document.createElement("tr");
			tab.appendChild(ligne);

				for(j=0;j<=10;j++){
	
					cellule = document.createElement("td");
					ligne.appendChild(cellule);
								
						if((i+j)%2==0){
			
							cellule.setAttribute("class","bg");	
						}
					
						else{
					
								cellule.appendChild(damier(n-1));
						}
		

				}
		
		}
	
	return tab;
	
		}	
document.body.appendChild(damier(3));


	}
}
window.onload = init;
